Bug 142379 - mtype a:text_file.txt display strange lines (big/little endian?)
mtype a:text_file.txt display strange lines (big/little endian?)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mtools (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 06:34 EST by Etienne Lorrain
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 04:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
floppy image - second text file bad display by mtype a:abc.txt (192.73 KB, application/octet-stream)
2004-12-10 15:46 EST, Etienne Lorrain
no flags Details

  None (edit)
Description Etienne Lorrain 2004-12-09 06:34:03 EST
Description of problem:
The mtype program does not seem to work on floppies, line
of text have the same chars but in wrong order.

Version-Release number of selected component (if applicable):
From FC3 DVD (media successfully checked)

How reproducible:
All the time

Steps to Reproduce:
1. put a floppy with any text file in the floppy driver
2. Do _not_ mount the floppy
3. type "mtype a:config.sys"
  
Actual results:
just lines with char "in random order"

Expected results:
the same output than, when floppy 
mounted, "cat /media/floppy/config.sys"

Additional info:
Comment 1 Tim Waugh 2004-12-09 06:59:36 EST
You filed this bug report against Fedora Core 3 test 3; fixing, since I think
you mean FC3.

mtools-3.9.9-9 presumably.

I can't reproduce this.  You'll need to attach the floppy image:

dd if=/dev/fd0 of=floppy.img

or put it somewhere I can get to it and add a pointer here.
Comment 2 Etienne Lorrain 2004-12-10 04:53:29 EST
It is indeed FC3 DVD - but maybe an error in the libraries mtools uses.
I do not understand neither - here is a log of a xterm, with whatever
floppy (I tried few with same result) - this one is the first floppy
of MSDOS 6.2 installation - and is write protected:

[etienne@localhost ~]$ mdir -a a:
 Volume in drive A is DISK      1
 Volume Serial Number is 4C0D-2410
Directory for A:/

IO       SYS     40566 1993-09-30   6:20
MSDOS    SYS     38138 1993-09-30   6:20
COMMAND  COM     54619 1993-09-30   6:20
DBLSPACE BIN     64246 1993-09-30   6:20
ANSI     SY_      6260 1993-09-30   6:20
APPEND   EX_      7467 1993-09-30   6:20
ATTRIB   EXE     11208 1993-09-30   6:20
AUTOEXEC BAT        37 1993-09-30   6:20
CHKDSK   EXE     12241 1993-09-30   6:20
CONFIG   SYS        13 1993-09-30   6:20
COUNTRY  SYS     19546 1993-09-30   6:20
DBLWIN   HL_      4205 1993-09-30   6:20
DEBUG    EXE     15718 1993-09-30   6:20
DELTREE  EX_      7249 1993-09-30   6:20
DISKCOMP CO_      6762 1993-09-30   6:20
DISKCOPY CO_      8306 1993-09-30   6:20
DISPLAY  SY_      9797 1993-09-30   6:20
DOSHELP  HL_      2492 1993-09-30   6:20
DOSKEY   CO_      4213 1993-09-30   6:20
DOSSETUP INI      3052 1993-09-30   6:20
DRIVER   SY_      4030 1993-09-30   6:20
EDIT     COM       413 1993-09-30   6:20
EXPAND   EXE     16129 1993-09-30   6:20
FASTHELP EX_      7539 1993-09-30   6:20
FASTOPEN EX_      7829 1993-09-30   6:20
FC       EX_     12065 1993-09-30   6:20
FDISK    EXE     29334 1993-09-30   6:20
FIND     EX_      4880 1993-09-30   6:20
FORMAT   COM     22916 1993-09-30   6:20
GRAPHICS CO_     11375 1993-09-30   6:20
HELP     COM       413 1993-09-30   6:20
HELP     HL_    267126 1993-09-30   6:20
HIMEM    SY_     10064 1993-09-30   6:20
INTERLNK EX_     10720 1993-09-30   6:20
INTERSVR EX_     26446 1993-09-30   6:20
KEYB     COM     16935 1993-09-30   6:20
KEYBOARD SYS     34598 1993-09-30   6:20
MEM      EX_     19512 1993-09-30   6:20
MODE     CO_     14899 1993-09-30   6:20
MOVE     EX_     11957 1993-09-30   6:20
NLSFUNC  EXE      7036 1993-09-30   6:20
PACKING  LST      6132 1993-09-30   6:20
POWER    EX_      5582 1993-09-30   6:20
QBASIC   EXE    194309 1993-09-30   6:20
RAMDRIVE SY_      3282 1993-09-30   6:20
README   TXT     59813 1993-09-30   6:20
SCANDISK EXE    119761 1993-09-30   6:20
SCANDISK INI      6470 1993-09-30   6:20
SETUP    EXE     72601 1993-09-30   6:20
SETUP    MSG      1392 1993-09-30   6:20
SHARE    EX_      8120 1993-09-30   6:20
SUBST    EX_     12740 1993-09-30   6:20
SYS      COM      9432 1993-09-30   6:20
VFINTD   38_      1289 1993-09-30   6:20
WINA20   38_      2661 1993-09-30   6:20
XCOPY    EX_     11093 1993-09-30   6:20
       56 files           1 367 028 bytes
                             77 312 bytes free

[etienne@localhost ~]$ mtype a:autoexec.bat
fnhc ofo
slufcn
ssbyu
tepu
[etienne@localhost ~]$ mtype -v
Mtools version 3.9.9, dated 3 March 2003
Usage: mtype [-spatnmQVBT] [-D clash_option] sourcefile targetfile
       mtype [-spatnmQVBT] [-D clash_option] sourcefile [sourcefiles...] 
targetdirectory
[etienne@localhost ~]$ mcopy a:autoexec.bat ./a.bat
[etienne@localhost ~]$ cat a.bat
@echo off
nlsfunc
keyb us
setup
[etienne@localhost ~]$ su -
Password:
[root@localhost ~]# rpm --verify mtools-3.9.9-9 -v
......... c /etc/mtools.conf
.........   /usr/bin/lz
.........   /usr/bin/mattrib
.........   /usr/bin/mbadblocks
.........   /usr/bin/mcat
.........   /usr/bin/mcd
.........   /usr/bin/mcheck
.........   /usr/bin/mcomp
.........   /usr/bin/mcopy
.........   /usr/bin/mdel
.........   /usr/bin/mdeltree
.........   /usr/bin/mdir
.........   /usr/bin/mdu
.........   /usr/bin/mformat
.........   /usr/bin/minfo
.........   /usr/bin/mkmanifest
.........   /usr/bin/mlabel
.........   /usr/bin/mmd
.........   /usr/bin/mmount
.........   /usr/bin/mmove
.........   /usr/bin/mpartition
.........   /usr/bin/mrd
.........   /usr/bin/mren
.........   /usr/bin/mshowfat
.........   /usr/bin/mtools
.........   /usr/bin/mtoolstest
.........   /usr/bin/mtype
.........   /usr/bin/mxtar
.........   /usr/bin/mzip
.........   /usr/bin/tgz
.........   /usr/bin/uz
.........   /usr/share/doc/mtools-3.9.9
......... d /usr/share/doc/mtools-3.9.9/COPYING
......... d /usr/share/doc/mtools-3.9.9/Changelog
......... d /usr/share/doc/mtools-3.9.9/README
......... d /usr/share/doc/mtools-3.9.9/Release.notes
......... d /usr/share/info/mtools.info.gz
......... d /usr/share/man/man1/mattrib.1.gz
......... d /usr/share/man/man1/mbadblocks.1.gz
......... d /usr/share/man/man1/mcat.1.gz
......... d /usr/share/man/man1/mcd.1.gz
......... d /usr/share/man/man1/mcopy.1.gz
......... d /usr/share/man/man1/mdel.1.gz
......... d /usr/share/man/man1/mdeltree.1.gz
......... d /usr/share/man/man1/mdir.1.gz
......... d /usr/share/man/man1/mdu.1.gz
......... d /usr/share/man/man1/mformat.1.gz
......... d /usr/share/man/man1/minfo.1.gz
......... d /usr/share/man/man1/mkmanifest.1.gz
......... d /usr/share/man/man1/mlabel.1.gz
......... d /usr/share/man/man1/mmd.1.gz
......... d /usr/share/man/man1/mmount.1.gz
......... d /usr/share/man/man1/mmove.1.gz
......... d /usr/share/man/man1/mpartition.1.gz
......... d /usr/share/man/man1/mrd.1.gz
......... d /usr/share/man/man1/mren.1.gz
......... d /usr/share/man/man1/mshowfat.1.gz
......... d /usr/share/man/man1/mtools.1.gz
......... d /usr/share/man/man1/mtoolstest.1.gz
......... d /usr/share/man/man1/mtype.1.gz
......... d /usr/share/man/man1/mzip.1.gz
......... d /usr/share/man/man5/mtools.5.gz
[root@localhost ~]# logout
[etienne@localhost ~]$ env
SSH_AGENT_PID=3360
HOSTNAME=localhost.localdomain
SHELL=/bin/bash
TERM=xterm
HISTSIZE=1000
GTK_RC_FILES=/etc/gtk/gtkrc:/home/etienne/.gtkrc-1.2-gnome2
WINDOWID=33554511
USER=etienne
LS_COLORS=no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;0
1:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.b
tm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:
*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*
.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;3
5:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:
GNOME_KEYRING_SOCKET=/tmp/keyring-xMeUj1/socket
SSH_AUTH_SOCK=/tmp/ssh-ndmpQm3359/agent.3359
KDEDIR=/usr
SESSION_MANAGER=local/localhost.localdomain:/tmp/.ICE-unix/3332
MAIL=/var/spool/mail/etienne
DESKTOP_SESSION=default
PATH=/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/etienne
/bin
PWD=/home/etienne
LANG=en_GB.UTF-8
GDMSESSION=default
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
HOME=/home/etienne
SHLVL=2
GNOME_DESKTOP_SESSION_ID=Default
LOGNAME=etienne
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AkERAP0lGl
LESSOPEN=|/usr/bin/lesspipe.sh %s
DISPLAY=:0.0
G_BROKEN_FILENAMES=1
COLORTERM=gnome-terminal
XAUTHORITY=/home/etienne/.Xauthority
_=/usr/bin/env
[etienne@localhost ~]$

  The install (from scratch - no update) from DVD has been done at the
 beginning of this week, on a known working hardware, with only english(UK)
 selected as a language - not even english(US).

  The only illegal thing I have done is I wanted to try, from
 http://rpm.livna.org/fedora/3/i386/RPMS.stable/
 the installation of some packages, but because they did not
 work at all, I did not bother very long and removed them all
 quickly (rootkit?):
[etienne@localhost ~]$ ls /mnt/photo/linux/*.lvn*
/mnt/photo/linux/libdvdcss-1.2.8-0.lvn.5.3.i386.rpm
/mnt/photo/linux/libdvdnav-0.1.10-0.lvn.1.3.i386.rpm
/mnt/photo/linux/libdvdplay-1.0.1-0.lvn.3.3.i386.rpm
/mnt/photo/linux/libdvdread-0.9.4-0.lvn.1.3.i386.rpm
/mnt/photo/linux/xmms-mp3-1.2.10-0.lvn.2.3.i386.rpm
[etienne@localhost ~]$ rpm -qa | grep lvn
[etienne@localhost ~]$
Comment 3 Tim Waugh 2004-12-10 05:11:38 EST
Still need the floppy image.
Comment 4 Etienne Lorrain 2004-12-10 15:46:33 EST
Created attachment 108351 [details]
floppy image - second text file bad display by mtype a:abc.txt
Comment 5 Etienne Lorrain 2004-12-10 15:51:56 EST
  It is dependant of the _position_ of the text file on the floppy or
 the floppy image - it is not driver relative.

[root@localhost ~]# zcat a.img.gz > /dev/fd0
[root@localhost ~]# mdir -a a:
 Volume in drive A has no label
 Volume Serial Number is 1234-4321
Directory for A:/

ABC      BAT        27 2004-12-10  20:09
MTOOLS-3 9      200807 2004-12-10  20:11
ABC      TXT        27 2004-12-10  20:12
        3 files             200 861 bytes
                          1 255 424 bytes free

[root@localhost ~]# mtype a:abc.bat

  1st line
 2nd @@@
3  $

[root@localhost ~]# mtype a:abc.txt

1 tsl ni
e2 dn@ @@3

$[root@localhost ~]# mcopy a:abc.txt abc.txt
[root@localhost ~]# cat abc.txt

  1st line
 2nd @@@
3  $

[root@localhost ~]# grep "/root/c.img" /etc/mtools.conf
drive b: file="/root/c.img"
[root@localhost ~]# cp a.img.gz c.img
[root@localhost ~]# mv c.img c.img.gz
[root@localhost ~]# gunzip c.img.gz
[root@localhost ~]# mdir -a b:
 Volume in drive B has no label
 Volume Serial Number is 1234-4321
Directory for B:/

ABC      BAT        27 2004-12-10  20:09
MTOOLS-3 9      200807 2004-12-10  20:11
ABC      TXT        27 2004-12-10  20:12
        3 files             200 861 bytes
                          1 255 424 bytes free

[root@localhost ~]# mtype b:abc.bat

  1st line
 2nd @@@
3  $

[root@localhost ~]# mtype b:abc.txt

1 tsl ni
e2 dn@ @@3

$[root@localhost ~]#
Comment 6 Tim Waugh 2004-12-13 10:18:06 EST
I don't see the same results as you -- everything works correctly here with that
floppy image.

What do these commands say?:

rpm -V mtools
rpm -q mtools
Comment 7 Tim Waugh 2004-12-13 10:19:56 EST
Oh, wait a minute -- I do on i386.  I'd been trying on x86_64 for some reason.
Comment 8 Matthew Miller 2006-07-10 17:15:59 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 Etienne Lorrain 2006-07-11 04:38:54 EDT
It is now fixed, from memory has been fixed in fedora core 4.
Clearly no more present in Fedora core 5.

Note You need to log in before you can comment on or make changes to this bug.